//
//  PlayerFlutterPlatformView.swift
//  nut_player_ios
//
//  Created by Nut.Tech on 25.09.2023.
//

import Foundation
import Flutter

final class PlayerFlutterPlatformView: NSObject, FlutterPlatformView {
    
    let viewIdentifier: Int64
    private let platformView: UIView
    
    init(withFrame frame: CGRect, viewIdentifier viewId: Int64, view: UIView) {
        self.viewIdentifier = viewId
        self.platformView = view
        
        self.platformView.frame = frame
    }
    
    func view() -> UIView {
        return self.platformView
    }
    
}
